
From: Laurent <laurent@gobio2.net>

Some time ago, I sent on this list a mail about my strange problem with my
SiS900 network card (Subject was Sluggish performances with FreeBSD)

To sum up, when my card is in 100Mb mode, I have poor throughput but in
10Mb, all seems normal.

After some tests, it seems these results was due to a misdetection of the
PHY device.  mii-tool reports :

 product info: vendor 08:00:17, model 3 rev 0

and after some search on the web, I found it's a NS DP83847 which is very
similar.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/sis900.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/net/sis900.c~problem-with-sis900-unknown-phy drivers/net/sis900.c
--- 25/drivers/net/sis900.c~problem-with-sis900-unknown-phy	2004-08-25 00:15:19.642009336 -0700
+++ 25-akpm/drivers/net/sis900.c	2004-08-25 00:15:19.647008576 -0700
@@ -124,6 +124,7 @@ static struct mii_chip_info {
 	{ "AMD 79C901 HomePNA PHY",		0x0000, 0x6B90, HOME},
 	{ "ICS LAN PHY",			0x0015, 0xF440, LAN },
 	{ "NS 83851 PHY",			0x2000, 0x5C20, MIX },
+	{ "NS 83847 PHY",                       0x2000, 0x5C30, MIX },
 	{ "Realtek RTL8201 PHY",		0x0000, 0x8200, LAN },
 	{ "VIA 6103 PHY",			0x0101, 0x8f20, LAN },
 	{NULL,},
_
